summaryrefslogtreecommitdiff
path: root/t/test-metadata-recheck.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:05:29 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:07:31 +0200
commitd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (patch)
treeba36d0900395e4179abb5cc9b7e6c3f394a34a7c /t/test-metadata-recheck.sh
parent78900b933039b7001443be126b63862430ec2648 (diff)
parentc2a52bf0e8e87b8f347ca22b9ab2da7613bc4336 (diff)
downloadautomake-d25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0.tar.gz
Merge branch 'simplify-exit-trap-workaround' into maint
* simplify-exit-trap-workaround: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * t/am-missing-prog.sh: Use 'exit, not 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/test-metadata-recheck.sh')
-rwxr-xr-xt/test-metadata-recheck.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/test-metadata-recheck.sh b/t/test-metadata-recheck.sh
index 0a106b3fc..8675747a8 100755
--- a/t/test-metadata-recheck.sh
+++ b/t/test-metadata-recheck.sh
@@ -17,7 +17,7 @@
# Test the "make recheck" semantics for custom test drivers, as documented
# in the Automake manual.
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_OUTPUT
@@ -144,7 +144,7 @@ $AUTOMAKE
# The ':test-result:' fields should be ignored by "make recheck",
# but should cause the testsuite report to detect errors.
-$MAKE check && Exit 1
+$MAKE check && exit 1
ls -l
for t in $tests; do test -f $t.run; done
rm -f *.run
@@ -156,7 +156,7 @@ for iteration in 1 2; do
$MAKE recheck
ls -l
for t in $rechecked; do test -f $t.run; done
- find . -name 'n-*.run' | grep . && Exit 1
+ find . -name 'n-*.run' | grep . && exit 1
: For shells with busted 'set -e'.
done